GDCM: gdcm::QueryFactory Class Reference

GDCM 3.2.11

Static Public Member Functions | List of all members
gdcm::QueryFactory Class Reference

QueryFactory.h. More...

`#include <gdcmQueryFactory.h>`

## Static Public Member Functions
static ECharSet | GetCharacterFromCurrentLocale ()
static void | ListCharSets (std::ostream &os)
| List all possible CharSet.
static DataElement | ProduceCharacterSetDataElement (const std::vector< ECharSet > &inCharSetType)
static BaseQuery * | ProduceQuery (const std::string &sopInstanceUID, ENQueryType inQueryType)
static BaseRootQuery * | ProduceQuery (ERootType inRootType, EQueryType inQueryType, EQueryLevel inQueryLevel)

## Detailed Description

QueryFactory.h.

contains: a class to produce a query based off of user-entered information

Essentially, this class is used to construct a query based off of user input (typically from the command line; if in code directly, the query itself could just be instantiated)

In theory, could also be used as the interface to validate incoming datasets as belonging to a particular query style

## Member Function Documentation

## ◆ GetCharacterFromCurrentLocale()

ECharSet gdcm::QueryFactory::GetCharacterFromCurrentLocale | ( |  | ) |
| static

This function will return the corresponding ECharSet associated with the current locale of the running system (based on the value of locale() ).

## ◆ ListCharSets()

void gdcm::QueryFactory::ListCharSets | ( | std::ostream & | os | ) |
| static

List all possible CharSet.

## ◆ ProduceCharacterSetDataElement()

DataElement gdcm::QueryFactory::ProduceCharacterSetDataElement | ( | const std::vector< ECharSet > & | inCharSetType | ) |
| static

This function will produce the appropriate dataelement given a list of charsets. The first charset will be used directly, while the second and subsequent will be prepended with "ISO2022 ". Redundant character sets are not permitted, so if they are encountered, they will just be skipped. if UTF8 or GB18030 is used, no subsequent character sets will be used if the vector passed in is empty, then the dataelement that's passed out will be empty and Latin1 is the presumed encoding

## ◆ ProduceQuery() [1/2]

BaseQuery * gdcm::QueryFactory::ProduceQuery | ( | const std::string & | sopInstanceUID,
|  | ENQueryType | inQueryType )
| static

## ◆ ProduceQuery() [2/2]

BaseRootQuery * gdcm::QueryFactory::ProduceQuery | ( | ERootType | inRootType,
|  | EQueryType | inQueryType,
|  | EQueryLevel | inQueryLevel )
| static

this function will produce a query (basically, a wrapper to a dataset that can validate whether or not the query is a valid cfind/cmove query) and the level of the query (patient, study, series, image). If the user provides an invalid instantiation (ie, study root type, query level of patient), then the result is NULL.

The documentation for this class was generated from the following file:

- gdcmQueryFactory.h